
%define		_pdf_ver	3.0.12

Summary:	A powerful batch renamer for KDE
Summary(pl.UTF-8):	Narzędzie do zmiany nazw plików dla KDE
Name:		krename
Version:	4.0.9
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/krename/%{name}-%{version}.tar.bz2
# Source0-md5:	21b2daeee6d81155bd3c0fa2bc1b9a63
Source1:	http://downloads.sourceforge.net/krename/%{name}-%{_pdf_ver}.pdf
# Source1-md5:	98141b57a29984af265aeecfd7ea8b93
Patch0:		%{name}-desktop.patch
URL:		http://www.krename.net/
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSvg-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	pkgconfig
BuildRequires:	podofo-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Krename is a very powerful batch file renamer for KDE which can rename
a list of files based on a set of expressions. It can copy/move the
files to another directory or simply rename the input files. Krename
supports many conversion operations, including conversion of a
filename to lowercase or to uppercase, conversion of the first letter
of every word to uppercase, adding numbers to filenames, finding and
replacing parts of the filename, and many more. It can also change
access and modification dates, permissions, and file ownership.

%description -l pl.UTF-8
Krename jest narzędziem do zmiany nazw plików dla KDE, które umożliwia
zmianę nazw dla listy plików na podstawie zbioru wyrażeń. Pozwala
kopiować i/lub przenosić pliki do innego katalogu lub po prostu
zmieniać nazwy plików. Krename wspiera różne operacje konwersji,
między innymi konwersję nazw plików do małych lub do wielkich liter,
konwersję pierwszej litery każdego słowa do wielkiej litery, dodanie
numeru do nazwy pliku, zmianę konkretnej części nazwy pliku i inne.
Program pozwala również na zmianę daty dostępu i modyfikacji,
uprawnień oraz własności plików.

%package doc
Summary:	Krename documentation
Summary(pl.UTF-8):	Dokumentacja programu Krename
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Krename in PDF format.

%description doc -l pl.UTF-8
Dokumentacja do Krename w formacie PDF.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1

%build
install -d build
cd build
%cmake \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/krename
%{_desktopdir}/kde4/krename.desktop
%{_iconsdir}/hicolor/*x*/apps/krename.png
%{_datadir}/kde4/services/ServiceMenus/krename_all_nonrec.desktop
%{_datadir}/kde4/services/ServiceMenus/krename_dir_rec.desktop

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{_pdf_ver}.pdf
%changelog
* Tue Nov 20 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/krename.git;a=log;h=master

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> c5cde4e
- release 2 (by relup.sh)

* Wed Jan 04 2012 Andrzej Augustyński <august84@pld-linux.org> 5d45373
- obsolete

* Wed Jan 04 2012 Andrzej Augustyński <august84@pld-linux.org> b60a027
- up to 4.0.9
- plugin.cpp.patch not needed any longer

* Thu Jun 30 2011 blekot <blekot@pld-linux.org> 5a714a3
- added patch agains segv from static initialization (__static_initialization_and_destruction_0 () at /usr/src/debug/krename-4.0.7/src/plugin.cpp:22)

* Thu Jun 30 2011 blekot <blekot@pld-linux.org> 9e7b6f3
- patch agains segv tahen from fedora

* Thu Mar 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6258c80
- release 2

* Tue Feb 22 2011 lisu <lisu@pld-linux.org> da8113f
- up to 4.0.7

* Sun Jan 30 2011 lisu <lisu@pld-linux.org> 8cd2667
- updated to 4.0.6
- drop cmake options provides by macro
- drop fam-devel BR (dependency of kde4-kdelibs-devel)
- adapter

* Thu Nov 04 2010 blekot <blekot@pld-linux.org> f352567
- rel 3

* Fri Oct 22 2010 lisu <lisu@pld-linux.org> 6b17196
- rel 2, rebuild with new podofo

* Mon Sep 27 2010 Karol Krenski <charles@pld-linux.org> 267635d
- updated to 4.0.5

* Mon Sep 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> aad3771
- release 2

* Sat Jun 26 2010 Karol Krenski <charles@pld-linux.org> 1112c6a
- up to 4.0.4

* Wed Jun 09 2010 Karol Krenski <charles@pld-linux.org> e8739fc
- up to 4.0.3

* Tue Dec 08 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4869903
- rebuild with exiv2 0.18.2
- rel 2

* Mon Dec 07 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 39a78c2
- updated to 4.0.2

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> babf74a
- BR: QtNetwork-devel, QtSvg-devel, automoc4, cmake, exiv2-devel,
  gettext-devel, pkgconfig, qt4-build, qt4-qmake

* Mon Oct 05 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 271ac9d
- updated to 4.0.1

* Wed Sep 23 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> f6798bf
- updated for 4.0.0

* Wed Sep 23 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> e69da61
- updated to FINAL 4.0.0 (merged from DEVEL)

